<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <title>jQuery Clone</title>
        <script src="../../static/jquery/jquery-3.4.1.js"></script>
        <link href="../../static/style/common.css" rel="stylesheet">
    </head>

    <body>
        <h3>Filter</h3>

        <div id="console" class="console"></div>

        <button id="btnConvert">Convert</button>
        <button id="btnComeBack">ComeBack</button>
        <script>
            $(function() {
                var $console = $('#console');
                var $btnConvert = $('#btnConvert');
                var $btnComeBack = $('#btnComeBack');
                var msg = "<OwO>'\"OwO\"'</OwO>";

                var initPageView = function() {
                    $console.text(msg);
                }

                var filterReplaceStr = function(str){
                    str = str.replace(/</g, "&lt").replace(/>/g, "&gt").replace(/"/g, "&quot").replace(/'/g, "&#x27;");
                    return str;
                }

                var parseXmlContent = function(xml){
                    xml = xml.replace( /&lt/g , "<")
                        .replace(/&gt/g, ">")
                        .replace(/&quot/g, "\"")
                        .replace(/&#x27;/g, "\'" );
                    return xml;
                }

                $btnConvert.off('click').on('click',function(){ 
                    let newMsg = filterReplaceStr(msg);
                    $console.text(newMsg);
                });

                $btnComeBack.off('click').on('click',function(){
                    let text = $console.text();
                    text = parseXmlContent(text);
                    $console.text(text);
                });
                initPageView();
            });

        </script>
    </body>

</html>
